Loading...
Searching...
No Matches
restinio::http_field_parsers::user_agent_value_t::product_t Struct Reference

A type for holding an info about a product. More...

`#include <user-agent.hpp>`

## Public Attributes

std::string | product
restinio::optional_t< std::string > | product_version

## Detailed Description

A type for holding an info about a product.

Since
  v.0.6.4

Definition at line 48 of file user-agent.hpp.

## Member Data Documentation

## product

std::string restinio::http_field_parsers::user_agent_value_t::product_t::product

Definition at line 50 of file user-agent.hpp.

## product_version

restinio::optional_t<std::string> restinio::http_field_parsers::user_agent_value_t::product_t::product_version

Definition at line 51 of file user-agent.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/user-agent.hpp